import { Platform } from '../platform/platform';
export declare class Events {
    private _channels;
    subscribe(topic: string, ...handlers: Function[]): void;
    unsubscribe(topic: string, handler: Function): boolean;
    publish(topic: string, ...args: any[]): any[];
}
export declare function setupEvents(platform: Platform): Events;
export declare function setupProvideEvents(platform: Platform): () => Events;
export declare function provideEvents(): {
    provide: any;
    useFactory: (platform: Platform) => () => Events;
    deps: typeof Platform[];
    multi: boolean;
};
